import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-8a347684.js';
export { dE as ArgumentsType, cw as AsyncMutex, cR as AsyncReturnType, _ as BinInput, d as CRYPTO_DEFAULT_ALG, e as CRYPTO_DEFAULT_DERIVE_ALG, f as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dc as Channel, db as ChannelMessageEvent, dr as CryptoEncoder, ay as DAY_MS, aV as Day, aA as DayInput, aU as DayInputLegacy, az as DayValue, a$ as DecimalInput, a_ as DecimalValue, di as DefaultListener, cm as Disposable, cl as Disposer, ck as DisposerFunction, dj as Emitter, dg as EmitterAllHandler, df as EmitterHandler, dn as Encoder, bo as FilterFunction, J as Json, dq as JsonEncoder, dh as ListenerSignature, dd as LocalChannel, a as LogHandler, L as LogHandlerOptions, c$ as LogLevel, d0 as LogLevelAlias, d1 as LogLevelAliasKey, b as LogLevelAliasType, d2 as LogMessage, c_ as Logger, d5 as LoggerConsoleHandler, d4 as LoggerContext, d3 as LoggerContextInterface, c as LoggerInterface, da as LoggerMemoryHandler, bp as MapperFunction, d_ as MemStorage, dZ as MemStorageOptions, du as Message, ds as MessageAction, dy as MessageDefinitions, dz as MessageHub, dt as MessageResult, dw as MessagesDefaultMethods, dx as MessagesMethods, dv as MessagesOptions, cv as Mutex, e2 as NestedArray, dp as NoopEncoder, O as ObjectStorage, cF as Pool, cB as PoolTask, cD as PoolTaskEvents, cz as PoolTaskFn, cC as PoolTaskIdConflictResolution, cA as PoolTaskState, b9 as Primitive, dC as PubSub, dH as RPCFn, dG as RPCOptions, dI as RPCReturn, au as RenderMessagesOptions, dF as ReturnType, bO as RoundingMode, cU as SerialQueue, bZ as SortableItem, cT as TaskEvents, cS as TaskFn, ae as Uint8ArrayToHexDump, ad as Uint8ArrayToJson, a2 as Uint8ArrayToString, cr as UseDefer, co as UseDispose, cj as XRX, a0 as _decodeUtf8Polyfill, $ as _encodeUtf8Polyfill, M as arrayAvg, N as arrayBatches, y as arrayEmptyInPlace, w as arrayFilterInPlace, q as arrayFlatten, s as arrayIntersection, B as arrayIsEqual, H as arrayMax, I as arrayMin, o as arrayMinus, G as arrayRandomElement, u as arrayRemoveElement, v as arraySetElement, E as arrayShuffle, F as arrayShuffleForce, D as arrayShuffleInPlace, z as arraySorted, A as arraySortedNumbers, K as arraySum, t as arraySymmetricDifference, x as arrayToggleInPlace, p as arrayUnion, n as arrayUnique, bB as avg, bz as between, cd as cloneJsonObject, cc as cloneObject, bK as cmp, bJ as composeOrderby, P as createArray, de as createLocalChannelPair, cG as createPromise, dA as createPromiseProxy, l as csvParse, m as csvParseToObjects, k as csvStringify, aZ as dateStringToDays, aY as day, aD as dayDay, aT as dayDiff, aH as dayFromAny, aJ as dayFromDate, aK as dayFromDateGMT, aO as dayFromParts, aP as dayFromString, aM as dayFromTimestamp, aG as dayFromToday, aC as dayMonth, aQ as dayMonthStart, aS as dayOffset, aF as dayToDate, aI as dayToDateGMT, aE as dayToParts, aN as dayToString, aL as dayToTimestamp, aB as dayYear, aR as dayYearStart, cW as debounce, b0 as decimal, b3 as decimalCentsPart, b1 as decimalFromCents, b2 as decimalToCents, U as decodeBase16, R as decodeBase32, W as decodeBase58, Y as decodeBase62, j as decrypt, b4 as deepEqual, b6 as deepMerge, b5 as deepStripUndefinedInPlace, h as deriveKeyPbkdf2, dV as detect, g as digest, cb as empty, T as encodeBase16, Q as encodeBase32, V as encodeBase58, X as encodeBase62, c5 as encodeQuery, i as encrypt, b$ as endSortWeight, c7 as ensureKey, c8 as ensureKeyAsync, ab as equalBinary, b7 as escapeHTML, bN as escapeRegExp, Z as estimateSizeForBase, dM as fetchBasic, dN as fetchJson, dR as fetchOptionsBasicAuth, dP as fetchOptionsFormURLEncoded, dQ as fetchOptionsJson, dO as fetchText, ax as fixBrokenUth8String, aW as forEachDay, cg as forTimes, av as formatMessages, e0 as formatMilliseconds, a9 as fromBase64, aa as fromBase64String, ai as fromCamelCase, a6 as fromHex, dU as getGlobal, cX as getGlobalContext, dk as getGlobalEmitter, cZ as getGlobalLogger, d6 as getNamespaceFilterString, dT as getNavigator, bu as getSecureRandom, bv as getSecureRandomIfPossible, d$ as getTimestamp, dS as getWindow, dK as httpMethod, cI as immediate, bc as isArray, bi as isBoolean, dW as isBrowser, bQ as isEven, bP as isHalf, bg as isInteger, cY as isLocalHost, bj as isNullOrUndefined, bf as isNumber, ba as isObject, bD as isPrime, bC as isPrimeRX, bb as isPrimitive, cP as isPromise, bd as isRecord, bh as isSafeInteger, be as isString, cM as isTimeout, bk as isUint8Array, a4 as joinToUint8Array, bn as jsonStringify, bm as jsonStringifySafe, bl as jsonStringifySorted, ac as jsonToUint8Array, ca as last, dm as lazyListener, c3 as linkifyPlainText, bs as listDistinctUnion, br as listGroupBy, bt as listOfKey, bq as listQuery, ce as memoize, cf as memoizeAsync, dl as messages, c0 as moveSortWeight, bH as objectIsEmpty, bF as objectMap, bG as objectMergeDisposable, dL as parseBasicAuth, e1 as parseDate, d8 as parseLogLevel, bI as parseOrderby, c6 as parseQuery, dX as platform, cQ as promisify, eo as qid, bw as randomBoolean, by as randomFloat, bx as randomInt, r as randomUint8Array, ci as regExpEscape, ch as regExpString, aw as renderMessages, bS as roundDown, bV as roundHalfAwayFromZero, bW as roundHalfDown, bX as roundHalfEven, bU as roundHalfOdd, bY as roundHalfTowardsZero, bT as roundHalfUp, bR as roundUp, bE as seededRandom, ei as setUuidDefaultEncoding, c9 as size, cH as sleep, c1 as sortedItems, bL as sortedOrderby, b_ as startSortWeight, aj as stringToBoolean, al as stringToFloat, ak as stringToInteger, a1 as stringToUInt8Array, ee as suid, ed as suidBytes, eg as suidBytesDate, ef as suidDate, bA as sum, cV as throttle, cK as timeout, cJ as timeoutReached, cL as timoutError, a7 as toBase64, a8 as toBase64Url, at as toBool, af as toCamelCase, ag as toCapitalize, ah as toCapitalizeWords, aq as toFloat, a5 as toHex, c4 as toHumanReadableUrl, ar as toInt, as as toString, a3 as toUint8Array, bM as toValidFilename, aX as today, cN as tryTimeout, en as uname, b8 as unescapeHTML, cy as useAsyncMutex, S as useBase, cq as useDefer, cn as useDispose, cp as useDisposer, cu as useEventListener, dY as useExitHandler, ct as useInterval, d9 as useLevelFilter, dB as useMessageHub, cx as useMutex, d7 as useNamespaceFilter, cE as usePool, dD as usePubSub, dJ as useRPC, c2 as useSorted, cs as useTimeout, ej as uuid, eh as uuid32bit, e7 as uuidB32, e4 as uuidB62, e3 as uuidBytes, ek as uuidDecode, e9 as uuidDecodeB32, e6 as uuidDecodeB62, ec as uuidDecodeV4, el as uuidEncode, e8 as uuidEncodeB32, e5 as uuidEncodeB62, eb as uuidEncodeV4, em as uuidIsValid, ea as uuidv4, am as valueToBoolean, ao as valueToFloat, an as valueToInteger, ap as valueToString, cO as waitOn } from './uuid-8a347684.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
